import 'whatwg-fetch';
import { Observable } from 'rxjs';
import { IHttpInterceptor } from './types/http-interceptor.interface';
import { HttpRequestConfig } from './types/http-request-config.class';
import { HttpRequest } from './types/http-request.class';
import { HttpResponse } from './types/http-response.class';
import { IHttp } from './types/http.interface';
export declare class RxJSHttpClient implements IHttp {
    private readonly _reqInterceptors;
    private readonly _resInterceptors;
    private readonly _callbackError;
    constructor(reqInterceptors?: IHttpInterceptor<HttpRequest>[], resInterceptors?: IHttpInterceptor<HttpResponse>[], callbackError?: (reason: any) => void);
    get(url: string, config?: Partial<HttpRequestConfig>): Observable<HttpResponse>;
    post(url: string, config: Partial<HttpRequestConfig>): Observable<HttpResponse>;
    put(url: string, config: Partial<HttpRequestConfig>): Observable<HttpResponse>;
    patch(url: string, config: Partial<HttpRequestConfig>): Observable<HttpResponse>;
    delete(url: string, config: Partial<HttpRequestConfig>): Observable<HttpResponse>;
}
//# sourceMappingURL=index.d.ts.map