import { cloneDeep } from 'lodash';
import { from } from 'rxjs';
export class HttpResponse {
    constructor(response) {
        this._response = response;
        this.headers = response.headers;
        this.ok = response.ok;
        this.redirected = response.redirected;
        this.status = response.status;
        this.statusText = response.statusText;
        this.type = response.type;
        this.url = response.url;
    }
    arrayBuffer() {
        return from(this._response.arrayBuffer());
    }
    blob() {
        return from(this._response.blob());
    }
    formData() {
        return from(this._response.formData());
    }
    json() {
        return from(this._response.json());
    }
    text() {
        return from(this._response.text());
    }
    clone() {
        return cloneDeep(this);
    }
}
